MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021802Community[OCCT] OCCT:Data Exchangepublic2010-06-22 12:142014-11-11 13:01
Reporterszv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0021802: Not all names are transferred from STEP to IGES via XDE
DescriptionThis problem is reported by community member Roman Lygin.

"Export of names from XDE assemblies to IGES is incorrect.
To reproduce:
pload XDE
ReadStep d as1-oc-214.stp
WriteIges d as1-oc-214.stp

# IGES file contains no entity names except the assembly root

Root-cause: IGESCAFControl_Writer::WriteNames() iterates over XDE document
labels and search for results of their translation into IGES TransferProcess.
For assemblies, with nested component structures, each component/subshape has
its own location and therefore does not represent a real subshape of an original
shape. Therefore it’s not stored in the TransferProcess map and therefore it
cannot find its translation result.
For CAD Exchanger I had to work-around using a code similar to CollectStyles
applying parent locations along XDE document exploration."
TagsNo tags attached.
Test case numberbugs xde(005) bug21802
Attached Fileszip file icon as1-oc-214.zip (82,774 bytes) 2010-06-22 12:15

- Relationships

-  Notes
(0030263)
git (administrator)
2014-07-21 14:30

Branch CR21802 has been created by dbv.

SHA-1: 58b8237cbdcfa5e3632ba1fa9387a4297af3e561
(0030264)
git (administrator)
2014-07-21 14:34

Branch CR21802 has been updated forcibly by dbv.

SHA-1: c89bc0b824fc4e8e6a4731b314e73102dca2bbb1
(0030265)
dbv (developer)
2014-07-21 14:36

Method IGESCAFControl_Writer::WriteNames now iterates over all nested assemblies and collects names for shapes.

Dear Galina,
patch is ready to be reviewed in branch CR21802
(0030343)
git (administrator)
2014-07-22 16:20

Branch CR21802 has been deleted by inv.

SHA-1: c89bc0b824fc4e8e6a4731b314e73102dca2bbb1
(0031645)
git (administrator)
2014-09-12 10:45

Branch CR21802 has been created by inv.

SHA-1: c89bc0b824fc4e8e6a4731b314e73102dca2bbb1


Detailed log of new commits:

Author: dbv
Date: Mon Jul 21 14:29:56 2014 +0400

    0021802: Not all names are transferred from STEP to IGES via XDE
    Method IGESCAFControl_Writer::WriteNames now iterates over all nested assemblies and collects names for shapes.
(0031794)
gka (developer)
2014-09-17 12:33

Branch CR21802 is ready to be tested
(0031912)
git (administrator)
2014-09-19 16:25

Branch CR21802 has been updated forcibly by apv.

SHA-1: b82f5ded2d351b6187d5f4a9648e54fdf44fc83b
(0031962)
apv (tester)
2014-09-22 18:27

Dear BugMaster,

Branch CR21802 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b82f5ded2d351b6187d5f4a9648e54fdf44fc83b

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
   MacOS: 193 (193 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR21802-master-occt/Debian60-64/summary.html [^] [^]
http://occt-tests/CR21802-master-occt/Windows-32-VC10/summary.html [^] [^]
de iges_1(001) D7, H1, H5, H6, H7, H8, H9, I1, I8, J7, J8, K9, M2, M3, M6, M7, N5, N7, N8, P6, Q3, Q4, Q5, Q7, R1, R5, R6, R8
de iges_2(002) A2, A3, A4, A5, A7, A8, A9, B1, B2, B7, C1, C9, D1, D9, E1, E2, E3, E7, E8, F1, F2, F3, F4, F5, F8, F9, G1, G2, G7, G8, G9, H3, H4, H5, H6, H9, I1, I3, I4, I5, I6, I8, I9, J1
de iges_3(003) A2, A3, A4, A5, A6, A7, A8

Testing cases:
Not done

Testing on Linux:
Total MEMORY difference: 346399368 / 346555816
Total CPU difference: 42456.20000000022 / 42040.6000000001

Testing on Windows:
Total MEMORY difference: 236421184 / 235916856
Total CPU difference: 36561.703125 / 32140.765625
(0033015)
git (administrator)
2014-10-13 14:24

Branch CR21802 has been updated by dbv.

SHA-1: 59dcc99a9915c8507ae78b7ba57d4d55b942af41


Detailed log of new commits:

Author: dbv
Date: Mon Oct 13 14:24:36 2014 +0400

    Regression fix

(0033016)
dbv (developer)
2014-10-13 14:25

Regression has been fixed. Please review patch in branch CR21802
(0033020)
gka (developer)
2014-10-13 16:15

Branch CR21802 is ready to be tested
(0033062)
git (administrator)
2014-10-14 13:26

Branch CR21802 has been updated forcibly by apv.

SHA-1: fa51aa01e3cfe710935a55fe89011a035907c9aa
(0033160)
git (administrator)
2014-10-15 17:57

Branch CR21802 has been updated by apv.

SHA-1: 58e721899ac6dd805cd8f9f7144fec54c2e15deb


Detailed log of new commits:

Author: apv
Date: Wed Oct 15 17:57:09 2014 +0400

    Test-case for issue 0021802

(0033168)
apv (tester)
2014-10-15 18:39

Dear BugMaster,

Branch CR21802 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 58e721899ac6dd805cd8f9f7144fec54c2e15deb

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs xde(005) bug21802 - OK
http://occt-tests/CR21802-master-occt/Debian60-64/bugs/xde/bug21802.html [^]
http://occt-tests/CR21802-master-occt/Windows-32-VC10/bugs/xde/bug21802.html [^]

Testing on Linux:
Total MEMORY difference: 370179332 / 370340240
Total CPU difference: 47253.919999999875 / 47188.27999999984

Testing on Windows:
Total MEMORY difference: 275917892 / 272354960
Total CPU difference: 33469.875 / 32951.515625
(0033395)
git (administrator)
2014-10-21 16:40

Branch CR21802 has been deleted by inv.

SHA-1: 58e721899ac6dd805cd8f9f7144fec54c2e15deb

- Related Changesets
occt: master 5203f741
Timestamp: 2014-10-16 11:35:22
Author: dbv
Committer: bugmaster
Details ] Diff ]
0021802: Not all names are transferred from STEP to IGES via XDE

Method IGESCAFControl_Writer::WriteNames now iterates over all nested assemblies and collects names for shapes.
Regression fix
Test-case for issue 0021802
mod - src/IGESCAFControl/IGESCAFControl_Writer.cxx Diff ] File ]
add - tests/bugs/xde/bug21802 Diff ] File ]

- Issue History
Date Modified Username Field Change
2010-06-29 13:50 bugmaster Assigned To bugmaster => abv
2010-06-29 13:50 bugmaster Status new => assigned
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-11-29 14:32 szv Fixed in Version EMPTY =>
2011-11-29 14:32 szv Summary Not all names are tranferred from STEp to IGES via XDE => Not all names are transferred from STEP to IGES via XDE
2011-11-29 14:32 szv Description Updated View Revisions
2011-11-30 18:41 abv Project Open CASCADE => Community
2011-12-01 09:49 abv Assigned To abv => gka
2014-07-03 14:15 gka Assigned To gka => dbv
2014-07-21 14:30 git Note Added: 0030263
2014-07-21 14:34 git Note Added: 0030264
2014-07-21 14:36 dbv Note Added: 0030265
2014-07-21 14:36 dbv Assigned To dbv => gka
2014-07-21 14:36 dbv Status assigned => resolved
2014-07-22 16:20 git Note Added: 0030343
2014-09-11 19:09 abv Target Version => 6.8.0
2014-09-12 10:45 git Note Added: 0031645
2014-09-17 12:33 gka Note Added: 0031794
2014-09-17 12:33 gka Status resolved => reviewed
2014-09-19 14:39 mkv Assigned To gka => apv
2014-09-19 16:25 git Note Added: 0031912
2014-09-22 18:27 apv Note Added: 0031962
2014-09-22 18:28 apv Assigned To apv => dbv
2014-09-22 18:28 apv Status reviewed => assigned
2014-09-24 14:38 dbv Status assigned => resolved
2014-09-24 14:57 dbv Status resolved => assigned
2014-10-13 14:24 git Note Added: 0033015
2014-10-13 14:25 dbv Note Added: 0033016
2014-10-13 14:25 dbv Assigned To dbv => gka
2014-10-13 14:25 dbv Status assigned => resolved
2014-10-13 16:15 gka Note Added: 0033020
2014-10-13 16:15 gka Assigned To gka => bugmaster
2014-10-13 16:15 gka Status resolved => reviewed
2014-10-14 11:46 apv Assigned To bugmaster => apv
2014-10-14 13:26 git Note Added: 0033062
2014-10-15 17:55 apv Test case number => bugs xde(005) bug21802
2014-10-15 17:57 git Note Added: 0033160
2014-10-15 18:39 apv Note Added: 0033168
2014-10-15 18:39 apv Assigned To apv => bugmaster
2014-10-15 18:39 apv Status reviewed => tested
2014-10-20 10:24 bugmaster Changeset attached => occt master 5203f741
2014-10-20 10:24 bugmaster Status tested => verified
2014-10-20 10:24 bugmaster Resolution open => fixed
2014-10-21 16:40 git Note Added: 0033395
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 13:01 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker